Downgrading to a Previous Release

Package Downgrade

The existing NuoDB package must be fully uninstalled and the downgraded package reinstalled.

Note: The rpm --oldpackage command cannot be used.

Database Downgrade

NuoDB supports downgrades between patch releases of the same maintenance build. For example, downgrading from NuoDB 2.6.1-8 to NuoDB 2.6.1-5 is supported.

NuoDB does not support downgrades between and within major, minor, or maintenance releases. For example, downgrading from NuoDB 2.6 to NuoDB 2.5 is not supported, and likewise, downgrading from NuoDB 2.6.1 to NuoDB 2.6 is also not supported.

Note: Reinstalling an older release where downgrade is not supported requires stopping the database, loading a backup copy of the archive from before the upgrade, and restarting.

For upgrade information, see Upgrading to a New Release.For specific release information when performing on an upgrade or downgrading, refer to the associated release notes.